Docs
Webhooks

List webhook endpoints

GET/webhooksNeedsworkspace.settings

Your endpoints and every event type you can subscribe to.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Response Body

OK

application/json
  1. response
webhooks*array<>
eventTypes*array<>
Shell
curl -X GET 'https://app.cueston.com/api/webhooks'
Example Response
JSON
{
  "webhooks": [
    {
      "id": 42,
      "url": "https://app.acme.com/settings/billing",
      "description": "string",
      "events": [
        "string"
      ],
      "active": true,
      "disabledReason": "string",
      "disabledAt": "2026-10-26T09:30:00Z",
      "failingSince": "2026-10-26T09:30:00Z",
      "lastSuccessAt": "2026-10-26T09:30:00Z",
      "lastFailureAt": "2026-10-26T09:30:00Z",
      "secretHint": "whsec_9vY2…",
      "previousSecretExpiresAt": "2026-10-26T09:30:00Z",
      "createdAt": "2026-10-26T09:30:00Z",
      "updatedAt": "2026-10-26T09:30:00Z"
    }
  ],
  "eventTypes": [
    {
      "key": "content.published",
      "description": "string"
    }
  ]
}